package tryslim3.controller.layout;

import org.slim3.tester.ControllerTestCase;
import org.junit.Test;
import static org.junit.Assert.*;
import static org.hamcrest.CoreMatchers.*;

public class Page2ControllerTest extends ControllerTestCase {

    @Test
    public void run() throws Exception {
        tester.start("/layout/page2");
        Page2Controller controller = tester.getController();
        assertThat(controller, is(notNullValue()));
        assertThat(tester.isRedirect(), is(false));
        assertThat(tester.getDestinationPath(), is("/layout/page2.jsp"));
    }
}
